Silhouette, inkscape

Olá, sou novo no linux, comecei faz uma semana.
Estou tentando instalar a extensão da impressora Silhouette Cameo no Inkscape, OS Linux-Mint Cinnamon. Já tentei os tutoriais da internet: https://www.instructables.com/id/Inkscape-Silhouette-UbuntuRPi/ e quando coloquei o comando: sudo apt-get install python-pip e dá a seguinte mensagem:
Lendo listas de pacotes… Pronto
Construindo árvore de dependências
Lendo informação de estado… Pronto
E: Impossível encontrar o pacote python-pip
como prosseguir?
obrigado desde já

No link do passo seguinte vê-se que a página tá desatualizada e instalar python-pip é um passo a se fazer numa versão muito antiga do Mint/Ubuntu (de 2014). Nas versões mais novas, o comando é sudo apt install python-usb

Fora o primeiro passo, as páginas concordam.

Valeu, esse comando deu certo.
mas em seguida, pra dar esse outro comando que o site mostra na pasta da silhouette:
sudo python setup.py build && sudo python setup.py install
aparece o seguinte erro:
The fantastic lxml wrapper for libxml2 is required by inkex.py and therefore this extension.Please download and install the latest version from http://cheeseshop.python.org/pypi/lxml/, or install it through your package manager by a command like: sudo apt-get install python-lxml

Technical details:
/home/daoud/Downloads/instalação silhouette/inkscape-silhouette-master/lxml/etree.so: undefined symbol: PyUnicodeUCS2_DecodeLatin1

Como prosseguir?

A saída aí sugeriu um comando que conserta o problema.
Tente rodar esse comando e o sudo python setup.py build && sudo python setup.py install

Uma alternativa é baixar o .DEB do Releases · fablabnbg/inkscape-silhouette · GitHub e instalar pela loja. Ele provavelmente vai automatizar mais as coisas.

Eu tentei esse comando que conserta o problema e depois o outro e dá o mesmo problema.
Aí tentei esse arquivo .DEB, funcionou perfeitamente, consegui visualizar a função da silhouette no inkscape, apenas preciso fazer alguns ajustes com relação ao alinhamento das artes na hora da impressão, mas fora isso, deu certo.
Muito obrigado, Mesmo!

Eu tentei o procedimento no gentoo, com o Inkscape 1.0 e não fui bem sucedido. Pelo que entendi o script funciona em python 2 e o inkscape 1.0 só usa python 3.

Mas aí tentei no Linux Mint, que tem o Inkscape 0.97 com o .deb, que instalou as dependências. Quando mandei o arquivo pra silhoutte, o script reclamou do python-lxml. No Mint instalado por padrão está apenas o pyhton3-lxml, portanto falhou ao achar a dependência. Instalei o python-lxml pela loja. Tentei novamente e reclamou que eu não tinha privilégios pra controlar o USB. Segui a própria dica do script e adicionei um arquivos dando permissões de escrita pra todos os usuários aos dispositivos da silhouette. Aí finalmente funcionou!

Tomara que façam upgrade pro python 3 logo, pois o python 2.7 já não receberá novas funções…